Cyberduck Mountain Duck CLI

#6644 closed enhancement (fixed)

Omit absolute paths in archives

Reported by: AVN Owned by:
Priority: normal Milestone: 4.4
Component: core Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hi Cyberduck,

Could you possibly help me with a query I have relating to the Archive feature on Cyberduck.

The feature works great, however it archives the files keeping the directory structure intact. As it is on a server, this directory structure is often very long (6 or 7 folders deep) and this replicates when extracting the files on a local machine. (for instance it will extract to a folder like 'usr\www\FTP\avnetwork\jobs\videos\)

Is there any way to set Cyberduck to perform its archive function without keeping this directory structure intact, and to just perform a 'normal' archive as it would on a local machine?

I have looked through the Cyberduck help, support tickets but have not found mention of any settings for this.

Thanks for your help and time with this matter.

Change History (7)

comment:1 Changed on Apr 26, 2012 at 9:30:48 AM by dkocher

  • Milestone set to 4.3

comment:2 Changed on Apr 26, 2012 at 10:01:39 AM by AVN

Thank you for the great support, I will get 4.3 once available

comment:3 Changed on May 9, 2012 at 10:40:05 AM by dkocher

For ZIP I am now aware of a solution. See #6241.

comment:4 Changed on May 9, 2012 at 10:40:24 AM by dkocher

For TAR, we will need to use the -C option.

comment:5 Changed on Dec 19, 2012 at 12:54:04 PM by dkocher

  • Summary changed from Archive function - disable directory structure to Omit directory structure in archive

comment:6 Changed on Jul 30, 2013 at 12:28:08 PM by dkocher

  • Milestone changed from 4.5 to 4.4
  • Resolution set to fixed
  • Status changed from new to closed

In r12416.

comment:7 Changed on Jul 31, 2013 at 7:40:05 AM by dkocher

  • Summary changed from Omit directory structure in archive to Omit absolute paths in archives
Note: See TracTickets for help on using tickets.
swiss made software